Skip to content
Coritan Docs

Client API: Mail: Credentials

The 5 Client API operations for credentials.

View as Markdown

Part of Mail.

GET /api/v1/client/smtp-relay/{service_id}/credentials

Authentication: an access token, sent as Authorization: Bearer <token>.

Name In Type Required
service_id path integer yes
Status Meaning
200 Success.
422 The request is not valid. detail lists each problem.

POST /api/v1/client/smtp-relay/{service_id}/credentials

Authentication: an access token, sent as Authorization: Bearer <token>.

Name In Type Required
service_id path integer yes

application/json (required)

Field Type Required
domain_id integer yes
label string no
Status Meaning
201 Success.
422 The request is not valid. detail lists each problem.

DELETE /api/v1/client/smtp-relay/{service_id}/credentials/{account_id}

Authentication: an access token, sent as Authorization: Bearer <token>.

Name In Type Required
account_id path integer yes
service_id path integer yes
Status Meaning
200 Success.
422 The request is not valid. detail lists each problem.

PATCH /api/v1/client/smtp-relay/{service_id}/credentials/{account_id}/enabled

Authentication: an access token, sent as Authorization: Bearer <token>.

Name In Type Required
account_id path integer yes
service_id path integer yes

application/json (required)

Field Type Required
enabled boolean yes
Status Meaning
200 Success.
422 The request is not valid. detail lists each problem.

POST /api/v1/client/smtp-relay/{service_id}/credentials/{account_id}/rotate

Authentication: an access token, sent as Authorization: Bearer <token>.

Name In Type Required
account_id path integer yes
service_id path integer yes
Status Meaning
200 Success.
422 The request is not valid. detail lists each problem.